# AIAbstractListSorter Class Reference

Base class for any AIAbstractList sorter. More...

Inheritance diagram for AIAbstractListSorter:

## Public Member Functions

virtual | ~AIAbstractListSorter ()
| Virtual dtor, needed to mute warnings.
virtual int32 | Begin ()=0
| Get the first item of the sorter.
virtual void | End ()=0
| Stop iterating a sorter.
virtual int32 | Next ()=0
| Get the next item of the sorter.
virtual bool | HasNext ()=0
| See if there is a next item of the sorter.
virtual void | Remove (int item)=0
| Callback from the list if an item gets removed.

## Protected Attributes

AIAbstractList * | list

## Detailed Description

Base class for any AIAbstractList sorter.

Definition at line 19 of file ai_abstractlist.cpp.

The documentation for this class was generated from the following file:

- src/ai/api/ai_abstractlist.cpp